Subject: bug#8862: compilation-window-height no good anymore

From: Stefan Monnier <[email-masked]>
Date: Tue, 14 Jun 2011 23:15:43 -0400

>>> In the current version, windows are no longer deleted automatically.
>> Isn't this a very large backward-compatibility and user-expectations
>> break?
> Hopefully not.  There were a number of complaints that Emacs deleted
> windows automatically during resizing.

Yes, being less eager to delete windows is good.  But why signal an
error rather than just make the window as big as possible without
deleting surrounding windows?

> When a similar change was applied to `adjust-window-trailing-edge' for
> Emacs 22 hardly anyone complained.

Not sure what you're referring to: adjust-window-trailing-edge was a new
function in Emacs-22.

        Stefan